# eric4.XML.DebuggerPropertiesWriter

Module implementing the writer class for writing an XML project debugger properties file.

### Classes

DebuggerPropertiesWriter | Class implementing the writer class for writing an XML project debugger properties file.

### Functions

None

## DebuggerPropertiesWriter

Class implementing the writer class for writing an XML project debugger properties file.

### Derived from

XMLWriterBase

### Methods

DebuggerPropertiesWriter | Constructor
writeXML | Public method to write the XML to the file.

#### DebuggerPropertiesWriter (Constructor)

DebuggerPropertiesWriter(file, projectName)

Constructor

file
  open file (like) object for writing
projectName
  name of the project (string)

#### DebuggerPropertiesWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up